% page 97
clear all
clc
Wc = 22000;
Ws = 43000;
Amax = 0.5; 
Amin = 40;
Norder = 5; % We select a 5th-order filter
[G, Z, P] = CH_II_POLES(Wc, Ws, Amax, Amin, Norder);
Rs = 1000; 
RL = 1000;
Ladder = 0; % 1 for a T ladder and 0 for a  ladder
[L, C, Rs, RL, Wo, K] = CH_II_LADDER(G, Z, P, Wc, Ws, Rs, RL, Ladder);

Z0 = []; T = 1; % Used only for transmission lines
omega = [0: Ws/200: 2*Ws];

H = LADDER_2_H(Norder, Z0, L, C, Rs, RL, K, omega, T);
Anorm = MAG_2_ATT(2*H); % Normalize attenuation to 0 dB
subplot('position', [0.08 0.4 0.90 0.5]);
PLOT_ATTENUATION_S(omega, Anorm);
PLOT_LP_SPEC_S(Wc, Ws, Amax, Amin); % Amin = 0 => No stopband spec
axis([0, 2*Ws, 0, 1.5*Amin]);
L'
C'
Wo'
